Bug 480700 - kernel failure on two machines on boot up (warning) with all kernel-2.6.28.1-xx.fc10.i686
kernel failure on two machines on boot up (warning) with all kernel-2.6.28.1-...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 17:32 EST by David
Modified: 2009-01-27 10:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 10:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /proc/iomem from Machine 1 (639 bytes, application/x-gzip)
2009-01-19 17:34 EST, David
no flags Details
cat /proc/iomem from Machine 2 (548 bytes, application/x-gzip)
2009-01-19 17:34 EST, David
no flags Details
lspci -vvnn from machine 1 (2.47 KB, application/x-gzip)
2009-01-19 17:35 EST, David
no flags Details
lspci from machine 2 (573 bytes, application/x-gzip)
2009-01-19 17:36 EST, David
no flags Details
dmesg output as log file (11.15 KB, application/x-gzip)
2009-01-20 17:11 EST, David
no flags Details
Screenshot off second machine showing that is all there is (957.62 KB, image/png)
2009-01-20 17:23 EST, David
no flags Details
dmesg from clean boot up and gnome login using the F11 kernel (9.45 KB, application/x-gzip)
2009-01-20 18:47 EST, David
no flags Details
dmesg from machine 1 (11.47 KB, application/x-gzip)
2009-01-21 19:23 EST, David
no flags Details
dmesg from machine 2 (10.17 KB, application/x-gzip)
2009-01-21 19:23 EST, David
no flags Details

  None (edit)
Description David 2009-01-19 17:32:49 EST
Description of problem:

Seeing kernel failure on two machines on boot up (warning) with kernel-2.6.28.1-11.fc10.i686

Machine 1:

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at arch/x86/mm/ioremap.c:227 __ioremap_caller+0x57/0x213()
(Not tainted)
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.28.1-11.fc10.i686 #1
Call Trace:


Machine 2:

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at arch/x86/mm/ioremap.c:227 __ioremap_caller+0x57/0x213() (Not tainted)
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.28.1-11.fc10.i686 #1
Call Trace:

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David 2009-01-19 17:34:05 EST
Created attachment 329402 [details]
cat /proc/iomem from Machine 1

cat /proc/iomem from Machine 1
Comment 2 David 2009-01-19 17:34:58 EST
Created attachment 329403 [details]
cat /proc/iomem from Machine 2

cat /proc/iomem from Machine 2
Comment 3 David 2009-01-19 17:35:51 EST
Created attachment 329404 [details]
lspci -vvnn  from machine 1

lspci -vvnn  from machine 1
Comment 4 David 2009-01-19 17:36:24 EST
Created attachment 329405 [details]
lspci from machine 2

lspci from machine 2
Comment 5 David 2009-01-19 17:46:07 EST
One coincidence here.  I have got this kernel on now 6 machines.  Only two do this and are both are Pentium 4 2.8 GHz single threaded CPUs (no hyper threading).  Considering the rest are dual core it can't be a coincidence.
Comment 6 Kyle McMartin 2009-01-19 23:22:15 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=1067588

Test patches backported from 2.6.29-rc1.

cheers, Kyle
Comment 7 David 2009-01-20 04:48:33 EST
Hi Kyle.  Both machines are ASUS motherboards as you suspected.

Its unchanged still fails:

Kernel failure message 1:
------------[ cut here ]------------
WARNING: at arch/x86/mm/ioremap.c:227 __ioremap_caller+0x57/0x213() (Not tainted)
Modules linked in:
Pid: 1, comm: swapper Not tainted 2.6.28.1-15.bz480700.fc10.i686 #1
Call Trace:
Comment 8 David 2009-01-20 07:37:34 EST
Just to let you know 2.6.28.1-16 is the same. Let me know what you need.

Thanks!
Comment 9 Chuck Ebbert 2009-01-20 17:06:12 EST
What does the line above "cut here" say? It should show the addresses that caused the warning.
Comment 10 David 2009-01-20 17:09:43 EST
Hi Chuck,

That is the entire window that pops up. I 'showed' the message and copied the entire message to the clipboard.

Its been forwarded to kerneloops also.

I attached the dmesg here.

Its still the same with 2.6.28.1-17 as well.

Both machines are ASUS motherboards, and both are single thread 2.8GHz CPUs as well, so there has to be a connection.
Comment 11 David 2009-01-20 17:11:50 EST
Created attachment 329516 [details]
dmesg output as log file

dmesg output as log file
Comment 12 David 2009-01-20 17:23:15 EST
Created attachment 329517 [details]
Screenshot off second machine showing that is all there is
Comment 13 David 2009-01-20 17:58:17 EST
Kyle suggested I try the F11 kernel that has the ASUS fix in it (rc2).

I installed kernel-2.6.29-0.43.rc2.git1.fc11

No errors!

Can this be back ported into F10 please?
Comment 14 David 2009-01-20 18:47:07 EST
Created attachment 329519 [details]
dmesg from clean boot up and gnome login using the F11 kernel

dmesg from clean boot up and gnome login using the F11 kernel
Comment 15 Chuck Ebbert 2009-01-21 09:56:26 EST
resource map sanity check conflict: 0x5fffff00 0x600000ff 0x5ffff000 0x5fffffff ACPI Non-volatile Storage
------------[ cut here ]------------
WARNING: at arch/x86/mm/ioremap.c:227 __ioremap_caller+0x57/0x213() (Not tainted)
Comment 16 David 2009-01-21 19:16:44 EST
So it appears to be this ASUS patch needed from F11 / Rawhide into 2.6.28 F10 kernels.

Can this be ported into the F10 kernel as 2.6.28 will never make updates as everyone with ASUS motherboards will get this.

I just tried 2.6.28.1-19 and its still the same.

Please let me know anything you need.

Can this bug be noted in the koji builds please, so I have an idea if its been addressed in the build.

I will attach dmesg from BOTH machines failing on 2.6.28.1-19

Thanks!
Comment 17 David 2009-01-21 19:23:19 EST
Created attachment 329677 [details]
dmesg from machine 1
Comment 18 David 2009-01-21 19:23:47 EST
Created attachment 329678 [details]
dmesg from machine 2
Comment 19 David 2009-01-26 22:26:21 EST
Kyle,

Your kernel-2.6.28.2-23.bz480700.fc10.src.rpm i686 fixed the issue!

Many thanks for your efforts.

Can we now get this patch into all future F10 builds and get a run of an updated 2.6.28.2-23.fc10.i686 or higher kernel?

Cheers,
David
Comment 20 Kyle McMartin 2009-01-27 10:55:34 EST
Groovy, just fwiw this was the fix from upstream (nothing to do with asus at all after all :)

commit 3ac52669c7a24b93663acfcab606d1065ed1accd
Author: Arjan van de Ven <arjan@linux.intel.com>
Date:   Sat Dec 13 09:15:27 2008 -0800

    resources: skip sanity check of busy resources
    
    Impact: reduce false positives in iomem_map_sanity_check()
    
    Some drivers (vesafb) only map/reserve a portion of a resource.
    If then some other driver comes in and maps the whole resource,
    the current code WARN_ON's. This is not the intent of the checks
    in iomem_map_sanity_check(); rather these checks want to
    warn when crossing *hardware* resources only.
    
    This patch skips BUSY resources as suggested by Linus.
    
    Note: having two drivers talk to the same hardware at the same
    time is obviously not optimal behavior, but that's a separate story.
    
    Signed-off-by: Arjan van de Ven <arjan@linux.intel.com>
    Signed-off-by: Ingo Molnar <mingo@elte.hu>

Note You need to log in before you can comment on or make changes to this bug.